// BoggleDlg.h : header file
//
#if !defined(AFX_BOGGLEDLG_H__A3C65C46_86F8_11D3_9886_0040056D374E__INCLUDED_)
#define AFX_BOGGLEDLG_H__A3C65C46_86F8_11D3_9886_0040056D374E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Grid.h"
#include "GridDisplay.h"
#include "GenGraph.h"

/////////////////////////////////////////////////////////////////////////////
// CBoggleDlg dialog

class CBoggleDlg : public CDialog
{
// Construction
public:
	int m_nMutationRate;
	int m_nBestFitness;
	int m_nGeneration;
	BOOL m_bRunLoop;
	BOOL PeekAndPump();
	CBoggleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBoggleDlg)
	enum { IDD = IDD_BOGGLE_DIALOG };
	CButton	m_SaveCtrl;
	CButton	m_DoneCtrl;
	CSliderCtrl	m_MutationCtrl;
	CGenGraph	m_GenGraph;
	CGridDisplay	m_GridDisplay;
	CButton	m_LoadCtrl;
	CButton	m_ResumeCtrl;
	CButton	m_StopCtrl;
	CButton	m_GoCtrl;
	CListBox	m_LexList;
	CString	m_GenCount;
	CString	m_WordsUsed;
	CString	m_WordsTotal;
	CString	m_WordsRatio;
	CString	m_BestGen;
	CString	m_CurBest;
	CString	m_MutationCnt;
	//}}AFX_DATA

	// This is the raison d'etre, the beating heart of the program:
//	CGrid cg;
//	Generation<CGrid> m_G;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBoggleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBoggleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLexload();
	afx_msg void OnGo();
	afx_msg void OnStop();
	afx_msg void OnResume();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnGridsave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BOGGLEDLG_H__A3C65C46_86F8_11D3_9886_0040056D374E__INCLUDED_)
